package p13_pliki.tadeusz;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.util.List;

public class Posortuj1 {

	public static void main(String[] args) {
		try {
			System.out.println("Czytanie pliku");
			List<String> lines = Files.readAllLines(Path.of("pan_tadeusz.txt"));
			
			System.out.println("Sortowanie");
			// domyślnie napisy są sortowane zwn kody Unicode poszczególnych znaków
			lines.sort(null);
			
			System.out.println("Zapis pliku");
			Files.write(Path.of("pan_tadeusz_sort.txt"), lines);
			// dodatkowe opcje na końcu:
			// Files.write(Path.of("pan_tadeusz_sort.txt"), lines, StandardOpenOption.APPEND);
			
			System.out.println("Gotowe");
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
